util.ui.html

## Class ExtendedHTMLDocument

- java.lang.Object
- - javax.swing.text.AbstractDocument
  - - javax.swing.text.DefaultStyledDocument
    - - javax.swing.text.html.HTMLDocument
      - - util.ui.html.ExtendedHTMLDocument

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.text.Document, javax.swing.text.StyledDocument

      public class ExtendedHTMLDocument
      extends javax.swing.text.html.HTMLDocument

  A HTML document that supports the integration von `Component`s.
  Author:
    Til Schneider, www.murfman.de
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `ExtendedHTMLDocument.ExtendedHTMLReader`

    - ### Nested classes/interfaces inherited from class javax.swing.text.html.HTMLDocument

      `javax.swing.text.html.HTMLDocument.BlockElement, javax.swing.text.html.HTMLDocument.HTMLReader, javax.swing.text.html.HTMLDocument.Iterator, javax.swing.text.html.HTMLDocument.RunElement`

    - ### Nested classes/interfaces inherited from class javax.swing.text.DefaultStyledDocument

      `javax.swing.text.DefaultStyledDocument.AttributeUndoableEdit, javax.swing.text.DefaultStyledDocument.ElementBuffer, javax.swing.text.DefaultStyledDocument.ElementSpec, javax.swing.text.DefaultStyledDocument.SectionElement`

    - ### Nested classes/interfaces inherited from class javax.swing.text.AbstractDocument

      `javax.swing.text.AbstractDocument.AbstractElement, javax.swing.text.AbstractDocument.AttributeContext, javax.swing.text.AbstractDocument.BranchElement, javax.swing.text.AbstractDocument.Content, javax.swing.text.AbstractDocument.DefaultDocumentEvent, javax.swing.text.AbstractDocument.ElementEdit, javax.swing.text.AbstractDocument.LeafElement`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static javax.swing.text.html.HTML.Tag` | `COMP_TAG`
    `protected java.util.ArrayList<java.awt.Component>` | `mKnownCompList`

    - ### Fields inherited from class javax.swing.text.html.HTMLDocument

      `AdditionalComments`

    - ### Fields inherited from class javax.swing.text.DefaultStyledDocument

      `buffer, BUFFER_SIZE_DEFAULT`

    - ### Fields inherited from class javax.swing.text.AbstractDocument

      `BAD_LOCATION, BidiElementName, ContentElementName, ElementNameAttribute, listenerList, ParagraphElementName, SectionElementName`

    - ### Fields inherited from interface javax.swing.text.Document

      `StreamDescriptionProperty, TitleProperty`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedHTMLDocument(javax.swing.text.html.StyleSheet ss)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addComponent(java.util.Vector<javax.swing.text.DefaultStyledDocument.ElementSpec> parseBuffer, java.awt.Component comp)`
    `java.lang.String` | `createCompTag(java.awt.Component comp)`
    `javax.swing.text.html.HTMLEditorKit.ParserCallback` | `getReader(int pos)`
    `javax.swing.text.html.HTMLEditorKit.ParserCallback` | `getReader(int pos, int popDepth, int pushDepth, javax.swing.text.html.HTML.Tag insertTag)`
    `protected void` | `handleCompTag(javax.swing.text.html.HTML.Tag tag, javax.swing.text.MutableAttributeSet attributeSet, java.util.Vector<javax.swing.text.DefaultStyledDocument.ElementSpec> parseBuffer)`

    - ### Methods inherited from class javax.swing.text.html.HTMLDocument

      `create, createBranchElement, createDefaultRoot, createLeafElement, fireChangedUpdate, fireUndoableEditUpdate, getBase, getElement, getElement, getIterator, getParser, getPreservesUnknownTags, getStyleSheet, getTokenThreshold, insert, insertAfterEnd, insertAfterStart, insertBeforeEnd, insertBeforeStart, insertUpdate, processHTMLFrameHyperlinkEvent, setBase, setInnerHTML, setOuterHTML, setParagraphAttributes, setParser, setPreservesUnknownTags, setTokenThreshold`

    - ### Methods inherited from class javax.swing.text.DefaultStyledDocument

      `addDocumentListener, addStyle, getBackground, getCharacterElement, getDefaultRootElement, getFont, getForeground, getLogicalStyle, getParagraphElement, getStyle, getStyleNames, removeDocumentListener, removeElement, removeStyle, removeUpdate, setCharacterAttributes, setLogicalStyle, styleChanged`

    - ### Methods inherited from class javax.swing.text.AbstractDocument

      `addUndoableEditListener, createPosition, dump, fireInsertUpdate, fireRemoveUpdate, getAsynchronousLoadPriority, getAttributeContext, getBidiRootElement, getContent, getCurrentWriter, getDocumentFilter, getDocumentListeners, getDocumentProperties, getEndPosition, getLength, getListeners, getProperty, getRootElements, getStartPosition, getText, getText, getUndoableEditListeners, insertString, postRemoveUpdate, putProperty, readLock, readUnlock, remove, removeUndoableEditListener, render, replace, setAsynchronousLoadPriority, setDocumentFilter, setDocumentProperties, writeLock, writeUnlock`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.swing.text.Document

      `addUndoableEditListener, createPosition, getEndPosition, getLength, getProperty, getRootElements, getStartPosition, getText, getText, insertString, putProperty, remove, removeUndoableEditListener, render`

- - ### Field Detail

    - #### COMP_TAG

          protected static final javax.swing.text.html.HTML.Tag COMP_TAG

    - #### mKnownCompList

          protected java.util.ArrayList<java.awt.Component> mKnownCompList

  - ### Constructor Detail

    - #### ExtendedHTMLDocument

          public ExtendedHTMLDocument(javax.swing.text.html.StyleSheet ss)

  - ### Method Detail

    - #### createCompTag

          public java.lang.String createCompTag(java.awt.Component comp)

    - #### getReader

          public javax.swing.text.html.HTMLEditorKit.ParserCallback getReader(int pos)

      Overrides:
        `getReader` in class `javax.swing.text.html.HTMLDocument`

    - #### getReader

          public javax.swing.text.html.HTMLEditorKit.ParserCallback getReader(int pos,
                                                                     int popDepth,
                                                                     int pushDepth,
                                                                     javax.swing.text.html.HTML.Tag insertTag)

      Overrides:
        `getReader` in class `javax.swing.text.html.HTMLDocument`

    - #### handleCompTag

          protected void handleCompTag(javax.swing.text.html.HTML.Tag tag,
                           javax.swing.text.MutableAttributeSet attributeSet,
                           java.util.Vector<javax.swing.text.DefaultStyledDocument.ElementSpec> parseBuffer)

    - #### addComponent

          protected void addComponent(java.util.Vector<javax.swing.text.DefaultStyledDocument.ElementSpec> parseBuffer,
                          java.awt.Component comp)

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)